import 'package:flutter/material.dart';
import 'package:unicons/unicons.dart';

import 'package:random/ui/widgets/header_app.dart';

class StandardAppBar extends StatelessWidget implements PreferredSizeWidget {
  const StandardAppBar({super.key});

  @override
  Widget build(BuildContext context) {
    return AppBar(
      title: const AppHeader(text: 'app_name'),
      actions: [
        IconButton(
          onPressed: () {},
          icon: const Icon(UniconsSolid.refresh),
        ),
      ],
    );
  }

  @override
  Size get preferredSize => const Size.fromHeight(50);
}
